Bug 527740

Summary: [ml_IN] Applying Backspace to a chillu conjunct followed by punctuation/SPACE results in deletion of the chillu also
Product: [Fedora] Fedora Reporter: Ani Peter <apeter>
Component: pangoAssignee: Akira TAGOH <tagoh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 23CC: apeter, behdad, fonts-bugs, i18n-bugs, pnemade, psatpute, smaitra, smc-discuss, swgoswam, tagoh
Target Milestone: ---Keywords: i18n
Target Release: ---Flags: tagoh: needinfo? (apeter)
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-30 02:47:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Screenshot for chillu conjuncts none

Description Ani Peter 2009-10-07 10:53:17 EDT
Created attachment 363982 [details]
Screenshot for chillu conjuncts

Description of problem:
When chillu conjuncts are followed by any punctuation marks like "!", ".", ",", "'", "?" or SPACE, ie when a word ends with a chillu conjunct, and followed by a punctuation mark or a SPACE, using Backspace to delete the punctuation mark or SPACE results in the deletion of chillu conjunct together with the punctuation mark/SPACE.

Version-Release number of selected component (if applicable):
pango 1.26.0-1.fc12 i686

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. type any of chillu conjunct, eg: 0D28, 0D4D, 200D
OR
type a word ending with chillu conjunct, eg: 0D05, 0D35, 0D28, 0D4D, 200D
3. type any punctuation marks like "!", ".", ",", "'", "?" or SPACE
4. Press Backspace
  
Actual results:
When using Backspace after chillu conjunct followed by punctuation mark or SPACE, instead of deleting punctuation mark or SPACE only, the chillu conjunct also gets deleted.

Expected results:
When using Backspace after chillu conjunct followed by punctuation mark or SPACE, only the punctuation mark/SPACE should get deleted.

Additional info:
1. This does not happen when chillu comes in between a word. eg:  നന്‍മ (0D28, 0D28, 0D4D, 200D, 0D2E)
2. This issue is not present in oowriter and kwrite. When above steps are reproduced, deletions happens in correct order. 
Versions used:
libicu-4.2.1-6.fc12 i686
qt-4.5.2-22.fc12 i686
3. Screenshot attached for chillu conjuncts and eg of words with chillu
Comment 1 Ani Peter 2009-10-09 04:33:41 EDT
 Bug 597812 is the upstream bug for this problem.
Comment 2 Ani Peter 2009-10-09 04:39:21 EDT
Sorry could not provide the link on previous comment:
https://bugzilla.gnome.org/show_bug.cgi?id=597812
Comment 3 Bug Zapper 2009-11-16 08:22:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-03-15 08:55:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akira TAGOH 2011-05-24 08:39:35 EDT
Is this issue a known in upstream? otherwise please file a bug upstream. also good to test on f15 too if this issue still persists.
Comment 7 Pravin Satpute 2011-06-02 01:36:22 EDT
still present in pango-1.28.4-1.fc15.x86_64
Comment 8 Bug Zapper 2011-06-02 13:38:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Akira TAGOH 2011-06-13 02:51:07 EDT
Hm, I guess this may be a duplicate of Bug#641290 in meaning of not checking the valid cluster for character break and the backspace behavior in pango.

that may be a good idea to post which combination is supposed to be valid for them.
Comment 10 Fedora Admin XMLRPC Client 2012-01-10 10:43:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Ani Peter 2012-08-02 01:42:31 EDT
Tested this reported issue on F17 using pango-1.30.0-1.fc17 and the problem still exists.

Thanks
Ani
Comment 12 Parag Nemade 2012-08-02 01:44:09 EDT
Thanks Ani. Moving this to f17 version.
Comment 13 Fedora Admin XMLRPC Client 2013-05-14 08:13:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2013-07-04 01:34:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Akira TAGOH 2013-07-05 02:57:22 EDT
same on f19 even.

So Ani, are you sure you filed this to upstream? otherwise please do that.
Comment 16 Pravin Satpute 2013-07-09 03:03:00 EDT
This is bit more generic bug.

Type any indic script character

"U+0915" + "200D" + "punct or space", it get clustered and complete sequence get deleted.
Comment 17 Fedora End Of Life 2015-01-09 11:13:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Akira TAGOH 2015-01-16 02:43:22 EST
I guess the root cause might be similar to Bug#500110.
Comment 19 Pravin Satpute 2015-01-20 04:29:13 EST
Yes, dependent vowel (characters with dotted circle) getting clubbed with preceding one.
Comment 20 Jan Kurik 2015-07-15 11:20:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 21 Satyabrata Maitra 2016-05-30 02:47:53 EDT
This bug tested FIXED in the latest Fedora version - Fedora24.

Test Observation : Chillu conjunts are NOT getting deleted with the example and steps provided in the bug description. Only punctuation mark or SPACE is getting deleted with a single BACKSPACE stroke.

Tested Version of the component :
pango-1.39.0-2.fc24